function addComment (comment) {
	if (comment) {
		var nocomm = document.getElementById ("nocomm");
		
		if (nocomm && nocomm.style && nocomm.style.display) nocomm.style.display = 'none';
		
		var div = document.getElementById ("comments");
		
		if (!div.firstChild)
		{
			j = 1;
			var ch = document.createElement ("div");
				ch.id = j;
				ch.innerHTML = comment;
				div.appendChild (ch);
		}
		else
		{
			var subdiv = new Array;
			var i = 0;
			
			while (div.firstChild) {
				if (div.firstChild.id)
				{
					i++;
					subdiv[i] = div.firstChild;
				}
				div.removeChild (div.firstChild);
			}
			j = 1;
			
			var ch = document.createElement ("div");
				ch.id = j;
				ch.innerHTML = comment;
				div.appendChild (ch);
				
			i = (i != num_comments) ? i++ : i;
			
			var l = (subdiv.length == num_comments+1) ? subdiv.length : subdiv.length+1;
			
			for (j = 2; j < l; j++) {
				var k = j-1;
				
				subdiv[k].id = j;
				div.appendChild (subdiv[k]);
			}
		}
	}
}
	var ldr = null;
	
	function parseXML () {
		var req = ldr.req;
		if (req.readyState == 4 && req.status == 200)
		{
			var xml = req.responseXML;
			var error = new Array;
			error[1] = document.getElementById ('error_gfx');
			error[2] = document.getElementById ('error_comm');
			hide_errors (error);
			
			if (fetch_tag_count (xml, 'error'))
			{
				var tags = fetch_tags(xml, 'error');
				for (var i = 0; i < tags.length; i++)
				{
					var err = fetch_data(tags[i]);
					
					if (err) error[err].style.display = 'block';
				}
			}
			
			if (fetch_tag_count (xml, 'gfx'))
			{
				var tags = fetch_tags(xml, 'gfx');
				for (var i = 0; i < tags.length; i++)
				{
					var gfx = fetch_data(tags[i]);
					
					if (gfx)
					{
						gfxEl = document.getElementById('gfx');
						if (gfxEl && gfxEl.src && document.post && document.post.random)
						{
							gfxEl.src = 'index.php?gfx=gfx&random='+gfx;
							document.post.random.value = gfx;
						}
						
					}
				}
			}
			
			if (fetch_tag_count (xml, 'comment'))
			{
				var tags = fetch_tags(xml, 'comment');
				for (var i = 0; i < tags.length; i++)
				{
					var comm = fetch_data(tags[i]);
					
					var div = document.createElement ("div");
					addComment (unescape_cdata(comm));
				}
			}
			if (fetch_tag_count (xml, 'pages'))
			{
				var tags = fetch_tags(xml, 'pages');
				for (var i = 0; i < tags.length; i++)
				{
					var pagenum = fetch_data(tags[i]);
					
					if (pagenum)
					{
						numEl = document.getElementById('num_page');
						if (numEl && numEl.innerHTML)
						{
							numEl.innerHTML = unescape_cdata(pagenum);
						}
						
					}
				}
			}
		}
	}
	
function hide_errors (elements)
{
	for (var i = 1; i < elements.length; i++)
	{
		elements[i].style.display = 'none';
	}
}